import { LRLanguage, LanguageSupport } from '@codemirror/language';
import { Completion } from '@codemirror/autocomplete';
import { Diagnostic } from '@codemirror/lint';
import { EditorView } from '@codemirror/view';

declare const javascriptLanguage: LRLanguage;
declare const typescriptLanguage: LRLanguage;
declare const jsxLanguage: LRLanguage;
declare const tsxLanguage: LRLanguage;
declare function cherry(config?: {
    jsx?: boolean;
    typescript?: boolean;
}): LanguageSupport;

declare const snippets: readonly Completion[];

declare function esLint(eslint: any, config?: any): (view: EditorView) => Diagnostic[];

export { cherry, esLint, javascriptLanguage, jsxLanguage, snippets, tsxLanguage, typescriptLanguage };
